%define anolis_release 1

Name:           publicsuffix-list
Version:        20240107
Release:        %{anolis_release}%{?dist}
Summary:        Cross-vendor public domain suffix database

License:        MPLv2.0
URL:            https://publicsuffix.org
Source0:        %{url}/list/public_suffix_list.dat
Source1:        https://www.mozilla.org/media/MPL/2.0/index.txt
Source2:        https://github.com/publicsuffix/list/raw/master/tests/test_psl.txt

BuildArch:      noarch
BuildRequires:  psl-make-dafsa

%description
A "public suffix" is one under which Internet users can (or historically could)
directly register names. Some examples of public suffixes are .com, .co.uk and
pvt.k12.ma.us. The Public Suffix List is a list of all known public suffixes,
maintained by the hard work of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where cookies may
and may not be set, protecting the user from being tracked across sites.

%package dafsa
Summary:        Cross-vendor public domain suffix database in DAFSA form

%description dafsa
A "public suffix" is one under which Internet users can (or historically could)
directly register names. Some examples of public suffixes are .com, .co.uk and
pvt.k12.ma.us. The Public Suffix List is a list of all known public suffixes,
maintained by the hard work of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where cookies may
and may not be set, protecting the user from being tracked across sites.

This package includes a DAFSA representation of the Public Suffix List
for runtime loading.

%prep
%setup -c -T
cp -av %{SOURCE0} .
install -m 644 -p -v %{SOURCE1} COPYING

%build
LC_CTYPE=C.UTF-8 psl-make-dafsa --output-format=binary \
    public_suffix_list.dat public_suffix_list.dafsa

%install
mkdir -p %{buildroot}/%{_datadir}/publicsuffix/

install -m644 -p public_suffix_list.dafsa %{SOURCE0} %{SOURCE2} \
    %{buildroot}/%{_datadir}/publicsuffix/
ln -s public_suffix_list.dat %{buildroot}/%{_datadir}/publicsuffix/effective_tld_names.dat

%files
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/effective_tld_names.dat
%{_datadir}/publicsuffix/public_suffix_list.dat
%{_datadir}/publicsuffix/test_psl.txt

%files dafsa
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/public_suffix_list.dafsa


%changelog
* Wed Mar 19 2025 happy_orange <songnannan@linux.alibaba.com> - 20240107-1
- update to 20240107

* Fri Jul 28 2023 Funda Wang <fundawang@yeah.net> - 20230718-1
- New data snapshot 20230718

* Sun Apr 16 2023 Funda Wang <fundawang@yeah.net> - 20230414-1
- New data snapshot 20230414

* Sat Apr 15 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 20221208-2
- optimise spec

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 20221208-1
- New data snapshot 20221208

* Wed Mar 9 2022 forrest_ly <flin@linux.alibaba.com> - 20220309-1 
- Init for Anolis OS 23 
